<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'cart',

    /*
     * Modules.
     */
    'modules'   => ['cart'],

    
    'cart'       => [
        'model' => [
            'model'                 => \Ebuy\Cart\Models\Cart::class,
            'table'                 => 'carts',
            'presenter'             => \Ebuy\Cart\Repositories\Presenter\CartPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'instance',  'content',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'cart/cart',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Ebuy',
            'package'   => 'Cart',
            'module'    => 'Cart',
        ],

    ],
];
