<?php

// API routes  for cart
Route::prefix('{guard}/cart')->group(function () {
    Route::get('cart/form/{element}', 'CartAPIController@form');
    Route::resource('cart', 'CartAPIController');
});

// Public routes for cart
Route::get('carts/', 'CartPublicController@index');
Route::get('carts/{slug?}', 'CartPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for carts
            Route::prefix('{guard}/cart')->group(function () {
                Route::get('cart/form/{element}', 'CartAPIController@form');
                Route::apiResource('cart', 'CartAPIController');
            });
            // Public routes for carts
            Route::get('cart/Cart', 'CartPublicController@getCart');
        }
    );
}

